hwlocality_api_error_reporting(3)

NAME
hwlocality_api_error_reporting - Error reporting in the API

SYNOPSIS

Detailed Description

Most functions in the hwloc API return an integer value. Unless documentated differently, they return 0 on success and -1 on error. Functions that return a pointer type return NULL on error.

errno will be set to a meaningful value whenever possible. This includes the usual EINVAL when invalid function parameters are passed or ENOMEM when an internal allocation fails. Some specific errno value are also used, for instance for binding errors as documented in CPU binding.

Some modules describe return values of their functions in their introduction, for instance in The bitmap API.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.